Subject: Re: SanDisk U3
From: "Svend Sorensen" <[email-masked]>
To: "Newton Robinson" <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Oct 2006 09:51:21 -0700

On 10/24/06, Newton Robinson  wrote:
> I see your point.  Has anyone created a distribution for a Flash Drive?  Has
> anyone created a start script that will remount for any Windows system?  I
> have seen a couple older posts talking about compressed executables (upx I
> think), but no follow-ups.

I use the following bat files to set up the required Cygwin mounts.
The bat files must exist in a directory which contains a Cygwin
installation under cygwin.  For example, the set up could be:

Flash drive as F:
F:\install.bat - Set up user Cygwin mounts, backing up any existing mounts
F:\uninstall.bat - Remove Cygwin mounts and restore previous mounts
F:\run.bat - Run bash
F:\cygwin - Cygwin installation

The bat files do not assume any specific drive letter.

I have the install script set up to mount the directory containing the
scripts as /home/user, then run.bat sets HOME to /home/user.  The
user's Windows TEMP folder is mounted as /tmp, to reduce writes the
flash drive.

I had to rename the .bat files to .txt to get Gmail to accept them as
attachments.

> > Svend Sorensen wrote:
> > You can also install Cygwin to a flash
> > drive.  Making it portable takes a few extra steps (basically you set
> > up a bat file which adds the Cygwin mounts to the new computer).
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/